For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Tasks

User tasks are used to create tasks for users in the system.

Get all user tasks in the system

get
Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
Responses
200

OK

application/json
integer · int32Optional
get/v1/usertasks
GET /v1/usertasks HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "Page": 1,
  "PageSize": 100,
  "Total": 2,
  "UserTasks": [
    {
      "Uid": "9fb6b427-07f7-4b01-a04b-851eaf2d65c0",
      "Created": "2022-12-20T11:53:11.0000000+02:00",
      "CreatedBy": "5",
      "Deadline": "2026-05-20T18:51:56.2722172+00:00",
      "Title": "Please add images to these products",
      "Description": "I have added products, which are missing their primary image. They should all be available in our DAM for you to choose",
      "Status": {},
      "AssignedUsers": [
        "12"
      ],
      "AssignedUserGroups": [],
      "Comments": [],
      "AttachedEntities": [
        {
          "EntityType": {},
          "EntityId": "1022",
          "Status": {}
        },
        {
          "EntityType": {},
          "EntityId": "1023",
          "Status": {}
        },
        {
          "EntityType": {},
          "EntityId": "1024",
          "Status": {}
        }
      ]
    },
    {
      "Uid": "eb284804-a977-47f9-acda-04f3ea3bbb96",
      "Created": "2023-01-02T14:57:05.0000000+02:00",
      "CreatedBy": "3",
      "Deadline": "2023-01-14T00:00:00.0000000+02:00",
      "Title": "Missing descriptions on products and variants",
      "Description": "There are a few products and variants which are missing descriptions in several languages. Use the english texts to translate from",
      "Status": {},
      "AssignedUsers": [
        "5",
        "10"
      ],
      "AssignedUserGroups": [],
      "Comments": [
        {
          "Uid": "8767bfd8-195e-4370-ae74-53f99b76bd4b",
          "Comment": "Okay, I will have a look right away. Is it okay to just use standard LanguageWire translations to begin with?",
          "UserId": "5",
          "Name": "John Doe",
          "Created": "2023-01-03T09:41:08.0000000+02:00",
          "LastModified": "2026-05-20T18:51:56.2722448+00:00",
          "IsSystemGenerated": false
        }
      ],
      "AttachedEntities": [
        {
          "EntityType": {},
          "EntityId": "1022",
          "Status": {}
        },
        {
          "EntityType": {},
          "EntityId": "1023",
          "Status": {}
        },
        {
          "EntityType": {},
          "EntityId": "1024",
          "Status": {}
        },
        {
          "EntityType": {},
          "EntityId": "5665",
          "Status": {}
        },
        {
          "EntityType": {},
          "EntityId": "4986",
          "Status": {}
        }
      ]
    }
  ]
}

Create a user task

post
Authorizations
AuthorizationstringRequired
Body

Model used to create a new user task

Uidstring · uuid · nullableOptional

Unique id of user task

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Responses
200

OK

No content

post/v1/usertasks
POST /v1/usertasks HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 475

{
  "Uid": "073af031-fc72-4ade-9708-1862c353dab3",
  "AssignedUserGroups": null,
  "AssignedUsers": [
    "5, 10"
  ],
  "Title": "Images on products in poor quality",
  "Description": "The images on some products seem to be of poor quality (see attached). Will you please go through them and see if we can get better images?",
  "Deadline": "2023-01-14T00:00:00.0000000+02:00",
  "AttachedEntities": [
    {
      "EntityType": {},
      "EntityId": "1022"
    },
    {
      "EntityType": {},
      "EntityId": "1023"
    },
    {
      "EntityType": {},
      "EntityId": "1024"
    }
  ]
}

No content

Update a user task

put
Authorizations
AuthorizationstringRequired
Body

A task assigned to one or more users in the system

Uidstring · uuid · nullableOptional

Unique id of the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Statusinteger · enumOptional

Represents a status of a user task

  • 0 = New: A new task that is not yet been processed
  • 1 = ReOpened: An otherwise completed task that has been re-opened
  • 2 = InProgress: A task that is currently being worked on
  • 3 = AwaitingFeedback: Task is awaiting feedback from someone
  • 4 = Completed: Task is completed
Possible values:
AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

Responses
200

OK

No content

put/v1/usertasks
PUT /v1/usertasks HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 487

{
  "Uid": "073af031-fc72-4ade-9708-1862c353dab3",
  "Deadline": "2023-01-14T00:00:00.0000000+02:00",
  "Title": "Images on products in poor quality",
  "Description": "The images on some products seem to be of poor quality (see attached). Will you please go through them and see if we can get better images?",
  "Status": {},
  "AssignedUsers": [
    "5, 10"
  ],
  "AssignedUserGroups": null,
  "AttachedEntities": [
    {
      "EntityType": {},
      "EntityId": "1022"
    },
    {
      "EntityType": {},
      "EntityId": "1023"
    },
    {
      "EntityType": {},
      "EntityId": "1024"
    }
  ]
}

No content

Get a batch of user tasks by uids

post
Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

OK

application/json

A task assigned to one or more users in the system

Uidstring · uuidOptional

Unique id of the task

Createdstring · date-timeOptional

Timestamp at which the task was created

CreatedBystring · nullableOptional

Id of the user who created the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Statusinteger · enumOptional

Represents a status of a user task

  • 0 = New: A new task that is not yet been processed
  • 1 = ReOpened: An otherwise completed task that has been re-opened
  • 2 = InProgress: A task that is currently being worked on
  • 3 = AwaitingFeedback: Task is awaiting feedback from someone
  • 4 = Completed: Task is completed
Possible values:
AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

post/v1/usertasks/batch
POST /v1/usertasks/batch HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 118

[
  "630d5c4d-770e-4095-a262-48637f18ad57",
  "7e978dcb-fb0a-44c0-a71c-a4bb785db979",
  "e1b8cb77-d709-4768-ae32-28165ba40494"
]
200

OK

[
  {
    "Uid": "eb284804-a977-47f9-acda-04f3ea3bbb96",
    "Created": "2023-01-02T14:57:05.0000000+02:00",
    "CreatedBy": "3",
    "Deadline": "2023-01-14T00:00:00.0000000+02:00",
    "Title": "Missing descriptions on products and variants",
    "Description": "There are a few products and variants which are missing descriptions in several languages. Use the english texts to translate from",
    "Status": {},
    "AssignedUsers": [
      "5",
      "10"
    ],
    "AssignedUserGroups": [],
    "Comments": [
      {
        "Uid": "8767bfd8-195e-4370-ae74-53f99b76bd4b",
        "Comment": "Okay, I will have a look right away. Is it okay to just use standard LanguageWire translations to begin with?",
        "UserId": "5",
        "Name": "John Doe",
        "Created": "2023-01-03T09:41:08.0000000+02:00",
        "LastModified": "2026-05-20T18:51:56.2805611+00:00",
        "IsSystemGenerated": false
      }
    ],
    "AttachedEntities": [
      {
        "EntityType": {},
        "EntityId": "1022",
        "Status": {}
      },
      {
        "EntityType": {},
        "EntityId": "1023",
        "Status": {}
      },
      {
        "EntityType": {},
        "EntityId": "1024",
        "Status": {}
      },
      {
        "EntityType": {},
        "EntityId": "5665",
        "Status": {}
      },
      {
        "EntityType": {},
        "EntityId": "4986",
        "Status": {}
      }
    ]
  }
]

Get a user task from its uid

get
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Unique id of user task to get

Responses
200

OK

application/json

A task assigned to one or more users in the system

Uidstring · uuidOptional

Unique id of the task

Createdstring · date-timeOptional

Timestamp at which the task was created

CreatedBystring · nullableOptional

Id of the user who created the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Statusinteger · enumOptional

Represents a status of a user task

  • 0 = New: A new task that is not yet been processed
  • 1 = ReOpened: An otherwise completed task that has been re-opened
  • 2 = InProgress: A task that is currently being worked on
  • 3 = AwaitingFeedback: Task is awaiting feedback from someone
  • 4 = Completed: Task is completed
Possible values:
AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

get/v1/usertasks/{uid}
GET /v1/usertasks/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "Uid": "eb284804-a977-47f9-acda-04f3ea3bbb96",
  "Created": "2023-01-02T14:57:05.0000000+02:00",
  "CreatedBy": "3",
  "Deadline": "2023-01-14T00:00:00.0000000+02:00",
  "Title": "Missing descriptions on products and variants",
  "Description": "There are a few products and variants which are missing descriptions in several languages. Use the english texts to translate from",
  "Status": {},
  "AssignedUsers": [
    "5",
    "10"
  ],
  "AssignedUserGroups": [],
  "Comments": [
    {
      "Uid": "8767bfd8-195e-4370-ae74-53f99b76bd4b",
      "Comment": "Okay, I will have a look right away. Is it okay to just use standard LanguageWire translations to begin with?",
      "UserId": "5",
      "Name": "John Doe",
      "Created": "2023-01-03T09:41:08.0000000+02:00",
      "LastModified": "2026-05-20T18:51:56.2810915+00:00",
      "IsSystemGenerated": false
    }
  ],
  "AttachedEntities": [
    {
      "EntityType": {},
      "EntityId": "1022",
      "Status": {}
    },
    {
      "EntityType": {},
      "EntityId": "1023",
      "Status": {}
    },
    {
      "EntityType": {},
      "EntityId": "1024",
      "Status": {}
    },
    {
      "EntityType": {},
      "EntityId": "5665",
      "Status": {}
    },
    {
      "EntityType": {},
      "EntityId": "4986",
      "Status": {}
    }
  ]
}

Delete a user task

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Unique id of user task to delete

Responses
200

OK

No content

delete/v1/usertasks/{uid}
DELETE /v1/usertasks/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Create a comment on a user task

post
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of user task

Body

Model used to create comment on a user task

Uidstring · uuid · nullableOptional

Unique id of comment

Commentstring · nullableOptional

Comment itself

Responses
200

OK

No content

post/v1/usertasks/{uid}/comments
POST /v1/usertasks/{uid}/comments HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "Uid": "c6a6fea3-163a-4a86-be2d-ace37e2b6691",
  "Comment": "Super duper. I will have a look"
}

No content

Update a comment on a user task

put
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of user task

Body
Uidstring · uuidOptional
Commentstring · nullableOptional
Responses
200

OK

No content

put/v1/usertasks/{uid}/comments
PUT /v1/usertasks/{uid}/comments HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "Uid": "c6a6fea3-163a-4a86-be2d-ace37e2b6691",
  "Comment": "Super duper. I will have a look"
}

No content

Delete a user task

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of user task

Query parameters
commentUidstring · uuidOptional

Unique id of comment to delete

Responses
200

OK

No content

delete/v1/usertasks/{uid}/comments
DELETE /v1/usertasks/{uid}/comments HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated